// continuously sampled data (EEG, LFP, etc.)
type ncs;

// spike file types (NSE, NST, NTT)
type spikefile;

// Neuralynx Events
type nev;

// Video Tracker
type nvt;

// timestamp files
type timestampfile;

// output of datamining
type dataminefile;

app (spikefile o) filter (spikefile i) {
	nfilter @filename(i) @filename(o);
}

app (timestampfile[] t) spikesort (spikefile i) {
	spikesort @filename(i);
}

app (nvt o) clean (nvt i) {
	nclean @filename(i) @filename(o);
}

app (dataminefile d) datamine (nev events, nvt positions, timestampfile[] t) {
	datamine @filename(d) @filename(t) @filename(events) @filename(positions);
}
