#! /bin/sh

# Create new runNNN directory

rundir=$( echo run??? | sed -e 's/^.*run//' | awk '{ printf("run%03d\n", $1+1)}' )
mkdir $rundir

cat >$rundir/cf <<END

wrapperlog.always.transfer=true
sitedir.keep=true
execution.retries=0
lazy.errors=false

END

cat >$rundir/local.xml <<END

<config>
  <pool handle="local">
    <execution provider="local" />
    <profile namespace="karajan" key="jobThrottle">.06</profile>
    <profile namespace="karajan" key="initialScore">10000</profile>
    <filesystem provider="local"/>
    <workdirectory>$PWD/swiftwork</workdirectory>
  </pool>
</config>

END

cat >$rundir/tc <<END

local nfilter $PWD/nfilter.sh
local spikesort $PWD/spikesort.sh
local nclean $PWD/nclean.py
local datamine $PWD/datamine.py
local backup $PWD/backup.py

END

cp *.swift $rundir
cp datasets.txt $rundir
for i in $(cat datasets.txt); do
	cp -R $i $rundir/
done

cd $rundir
echo Running in directory $rundir
export SWIFT_HOME=/Users/ashewmaker/src/swift/cog/modules/swift/dist/swift-svn
export PATH=$SWIFT_HOME/bin:$PATH
swift -d -config cf -tc.file tc -sites.file local.xml usecase1.swift $* 2>&1 | tee swift.out
